netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
mac_japanese.c File Reference
`#include <stdlib.h>`
`#include "generic_cjk.h"`
`#include "mac_japanese.h"`

## Functions
static size_t | mac_japanese_pull (void *, char **, size_t *, char **, size_t *)
static size_t | mac_japanese_push (void *, char **, size_t *, char **, size_t *)
static size_t | mac_japanese_char_push (uint8_t *out, const ucs2_t *in, size_t *size)
static size_t | mac_japanese_char_pull (ucs2_t *out, const uint8_t *in, size_t *size)

## Variables
struct charset_functions | charset_mac_japanese

## Detailed Description

See also
  Reference http://www.unicode.org/Public/MAPPINGS/VENDORS/APPLE/

## Function Documentation

## ◆ mac_japanese_char_pull()

size_t mac_japanese_char_pull | ( | ucs2_t * | out,
|  | const uint8_t * | in,
|  | size_t * | size )
| static

## ◆ mac_japanese_char_push()

size_t mac_japanese_char_push | ( | uint8_t * | out,
|  | const ucs2_t * | in,
|  | size_t * | size )
| static

## ◆ mac_japanese_pull()

size_t mac_japanese_pull | ( | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )
| static

## ◆ mac_japanese_push()

size_t mac_japanese_push | ( | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )
| static

## Variable Documentation

## ◆ charset_mac_japanese

struct charset_functions charset_mac_japanese

Initial value:
= {
"MAC_JAPANESE",
1,
mac_japanese_pull,
mac_japanese_push,
CHARSET_ICONV | CHARSET_MULTIBYTE | CHARSET_PRECOMPOSED | CHARSET_CLIENT,
"SHIFT_JIS",
NULL,
NULL
}
mac_japanese_pull
static size_t mac_japanese_pull(void *, char **, size_t *, char **, size_t *)
Definition mac_japanese.c:147
mac_japanese_push
static size_t mac_japanese_push(void *, char **, size_t *, char **, size_t *)
Definition mac_japanese.c:101
CHARSET_PRECOMPOSED
#define CHARSET_PRECOMPOSED
Definition unicode.h:30
CHARSET_MULTIBYTE
#define CHARSET_MULTIBYTE
Definition unicode.h:32
CHARSET_ICONV
#define CHARSET_ICONV
Definition unicode.h:34
CHARSET_CLIENT
#define CHARSET_CLIENT
Definition unicode.h:28
NULL
#define NULL
Definition utf8util.c:47